Subject: Re: [ANNOUNCE]: First release of nftables

From: Patrick McHardy <[email-masked]>
Date: Wed, 18 Mar 2009 10:52:14 +0100

Max Kellermann wrote:
> On 2009/03/18 09:28, Patrick McHardy <[email-masked]> wrote:
>   
>> The rule snippets under tests/ pretty much all use obsolete syntax,
>> so I'm attaching a test script (which doesn't make much sense, just
>> testing features) so people can get a feeling for the syntax.
>>     
>
> Interesting, that looks very much like ferm's syntax:
>
>  http://ferm.foo-projects.org/
>  http://ferm.foo-projects.org/download/examples/webserver.ferm
>  http://ferm.foo-projects.org/download/examples/dsl_router.ferm
>
> (ferm is a popular frontend for iptables, developed in 2000 by Auke
> Kok; I took over maintainership a few years ago)
>   

Indeed, it looks pretty similar :) The function things is also something
I wanted to add later on. Currently I'm looking for a nice syntax to
declare, define and modify sets outside of rules. I'll have a look at
your manual, maybe I can find something I like :)